aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-16 14:48:24 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:05 +0000
commitcd2715f0f33556033726da4da861780c3bccdf86 (patch)
tree0fb6faecfcbf8ef8b00710b4df40025bcc0ac31e
parent04bc7964479a3f4ff1a98586261d6fe197003c24 (diff)
downloadaports-cd2715f0f33556033726da4da861780c3bccdf86.tar.gz
aports-cd2715f0f33556033726da4da861780c3bccdf86.tar.bz2
aports-cd2715f0f33556033726da4da861780c3bccdf86.tar.xz
main/font-screen-cyrillic: upgrade to 1.0.4
-rw-r--r--main/font-screen-cyrillic/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-screen-cyrillic/APKBUILD b/main/font-screen-cyrillic/APKBUILD
index 0537f7b32c..f39307b785 100644
--- a/main/font-screen-cyrillic/APKBUILD
+++ b/main/font-screen-cyrillic/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-screen-cyrillic
-pkgver=1.0.1
-pkgrel=2
+pkgver=1.0.4
+pkgrel=0
pkgdesc="X.org screen cyrillic fonts"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/cyrillic \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="c8d5aef01c906c7aaea329702a8b1b63 font-screen-cyrillic-1.0.1.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="6f3fdcf2454bf08128a651914b7948ca font-screen-cyrillic-1.0.4.tar.bz2"
+sha256sums="824231e8dffe15299454e47259f29d98001c9cf8ad3d6b5171399e4d71705e79 font-screen-cyrillic-1.0.4.tar.bz2"
+sha512sums="58f12a4cbd18e323daad75b32a01ab3980dca0046f8dd94ff4452606ab9316b8a208dda3bc8e9346c02993bd2b8bb2b3dfe3413ccf9fc6a907fc1ea5d236fa51 font-screen-cyrillic-1.0.4.tar.bz2"